<?
require_once('include/global.php');
require_once('include/file.php');
require_once('conf.inc.php');

set_time_limit(1200);

// check - max size
// 서명 이미지 최대용량 제한
	if ($_FILES['file']['size'] > $G_SYS[UPLOAD_MAIL_SIGN_FILE_MAX_SIZE]) {
		echo response_json(array(
			'error' =>
				"서명 이미지 최대용량인 [" . filesize_human($G_SYS[UPLOAD_MAIL_SIGN_FILE_MAX_SIZE]) . "]를 초과하였습니다.",
		));
		exit;
	}

	// 계정당 서명 이미지 계정당 할당량 제한
	$sg_file_size_sum = (int)db_get_one("SELECT sum(sg_file_size) as sg_file_size FROM " . $TB['SIGN'] . " WHERE m_no='" . $AUTH['auth_m_no'] . "'");

	if ($sg_file_size_sum + $_FILES['file']['size'] > $G_SYS[UPLOAD_MAIL_SIGN_MAX_SIZE]) {
		echo response_json(array(
			'error' => "계정당 서명 이미지 계정당 할당량인 [" . filesize_human($G_SYS[UPLOAD_MAIL_SIGN_FILE_MAX_SIZE]) . "]를 초과하였습니다. 사용하지 않는 서명을 삭제 후 다시 시도해주세요.",
		));
		exit;
	}

	$errorMsg = file_upload_error_msg($_FILES['file'], $_FILES['file']['size'], $G_SYS[UPLOAD_MAIL_SIGN_FILE_MAX_SIZE]);
	if ($errorMsg != '')
	{
//		msg("이미지 삽입이 실패하였습니다.\\n\\n원인 : ".$errorMsg);
		echo response_json(array(
			'error' => str_replace('\n', '  ', $errorMsg),
		));
		exit;
	} else
	{
		// proc
			// file upload
			$UPLOAD_ROOT = $UPLOAD_ROOT_NEW;
			$upload_dir = $UPLOAD_DIR[BIGFILE_TMP];
			$upload_tmp_name = getmicrotime();

			$errorMsg = file_up_new('file', $upload_tmp_name, '', $upload_dir, $G_SYS[UPLOAD_MAIL_SIGN_FILE_MAX_SIZE]);
			if ($errorMsg != '') {
//				msg("이미지 삽입이 실패하였습니다.\\n\\n원인 : " . $errorMsg);
				echo response_json(array(
					'error' => str_replace('\n', '  ', $errorMsg),
				));
				exit;
			}
	}	// if()

	$cid_url = $G_SYS['HTTP_URL_ROOT']."/sign_image_tmp.php?cid=" . $upload_tmp_name . '&name=' . urlencode($_FILES['file']['name']);

	$data = array(
		'location' => $cid_url,
		'sg' => $upload_tmp_name,
		'sg_name' => $_FILES['file']['name'],
		'sg_size' => $_FILES['file']['size'],
	);

    echo response_json($data);
	exit;

// 디버깅정보 생략.
//require_once('include/global_end.php');
